Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005098Dwarf FortressDwarf Mode -- Immigrationpublic2012-02-14 21:492014-09-14 09:43
ReporterMephansteras 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform65 bitOSWindowsOS Version7
Product Version0.34.01 
Target VersionFixed in Version0.40.05 
Summary0005098: "Friendly" migrants with Trader profession act like on-the-job merchants
DescriptionTwo of the migrants in my most recent wave were traders, and both show up as @ and 'Friendly' on the units screen. I cannot control them or anything, just like a Friendly visiting unit.
Steps To ReproduceHave migrants with the Trader title show up.
Tagsimmigrants, traders
Attached Files

- Relationships
related to 0008096new Excessive number of migrants with trader profession due to retired caravan merchants 
has duplicate 0005237resolvedKnight Otu Trader migrants not part of the fort 
has duplicate 0005317resolvedFootkerchief Lone trader shows up in the middle of a group of immigrants 
has duplicate 0005369resolvedFootkerchief Strange 'Trader' appearance with migrants 
has duplicate 0005612resolvedLogical2u Migrant Traders 
has duplicate 0005620resolvedLogical2u Traders arrive with migrants and block them 
has duplicate 0005817resolvedFootkerchief Standing traders 
has duplicate 0005868resolvedKnight Otu Received foreign traders in migrant wave 
has duplicate 0005930resolvedKnight Otu Traders migrating and standing at edge of map. 
has duplicate 0005583resolvedDwarfu If your parent civilization is generated with only non-dwarven leaders, traders from dwarven caravans will be unable to go home. 
related to 0005246new vampire immigrated to fort as "friendly" rather than citizen 
related to 0005854resolvedToady One Diplomats don't bring bodyguards 
related to 0006019new Dwarf Mode migrants appear as friendly, uncontrollable units with modded dwarf entity 

-  Notes
(0019812)
Mephansteras (reporter)
2012-02-16 09:52

I should also note that they have 'Merchant' as their Faction on the units screen.
(0019913)
Alumine (reporter)
2012-02-17 01:15

I can confirm this one.

First they join with a wave, but stand at the map border.
As soon as their blinking X is gone, they walk around aimlessly.
(0020070)
daftfad (reporter)
2012-02-18 16:33
edited on: 2012-02-19 07:37

Me too. Trader standing on edge of map. He is listed as "Friendly" though, not "Merchant." Could be a vampire as per bug 005246.

Note: They also walk to the trade depot when the dwarf caravan arrives and leave when the caravan leaves.

(0020135)
premium (reporter)
2012-02-19 09:18

I have the trader standing on the edge of the map as well, also listed as friendly and not merchant.
I have doubts that he is a vampire, as the world(as far as I can tell in legends) has no vampires and it is only year 6 in history.
Save is http://dffd.wimbli.com/file.php?id=5609 [^]
(0020388)
janglur (reporter)
2012-02-21 10:01

Save example here:
http://dffd.wimbli.com/file.php?id=5644 [^]
(0020800)
dglidden (reporter)
2012-02-27 10:10

I have seen the same thing. I currently have 5 "Traders" hanging about on my map.

When the caravan arrived, they headed straight for the depot.

Interestingly enough, they seem to be immune to the Filthy Muck that rains all over the map.
(0020808)
deathc4 (reporter)
2012-02-27 16:47

I have 4 right now, wish I could herd them or something.
(0021263)
Kijiro (reporter)
2012-03-08 09:06

I notice they tend to block other migrants from entering the map. Once a trader enters the map he stands at the edge. After a while, the blinking X goes away and he begins wandering around. This "unblocks" the migrant wave, allowing the rest of the migrants to enter the map with a blinking X as normal.

I can confirm they do join other merchants at the trade depot and leave with them.
(0021522)
Angry_B8 (reporter)
2012-03-16 23:09

I've had this exact same problem in the 34.05, I can also confirm the blocking of immigrant waves, it's coming up on autumn now, will check if they join the traders and leave, (Previous ones all got killed by goblins) but I expect they will.
(0021540)
Garath (reporter)
2012-03-17 16:11

34.05. I have 20 people standing around the map edge, a full tird of my total "population", none have trader as their listed profession.
(0021760)
thvaz (reporter)
2012-03-26 13:31

Confirmed for 34.06. Had abandoned a previous fortress, every migrant in the next was from that previous fortress (both fortress were from the same civilization) and all of them were marked as friendly. Game breaker bug
(0021765)
kingpeonidas (reporter)
2012-03-26 14:28

Thvaz can you confirm that this is a NEW save file created in 34.06, or a old save with a NEW fort on it?
(0021981)
Kogut (reporter)
2012-04-01 07:01
edited on: 2012-04-01 07:46

Confirmed for 34.07 (happened in world where my civilisation is 44 dwarves)

save (name "bugged pasture" as it was originally posted to 0004366): http://dffd.wimbli.com/submit.php?action=message&fid=6058 [^] (trader blocking entry + trader waiting for migration)

(0021986)
thvaz (reporter)
2012-04-01 08:35

>>Thvaz can you confirm that this is a NEW save file created in 34.06, or a old save with a NEW fort on it?

It was a new one for 34.06.
(0021997)
ellindsey (reporter)
2012-04-01 18:30

I can also confirm this in a fortress that was genned in 34.06 and then copied to 34.07.
(0022006)
Kogut (reporter)
2012-04-01 22:49

BTW, my save is pure 34.07
(0022180)
Greiger (reporter)
2012-04-09 10:43

Another save here: http://dffd.wimbli.com/file.php?id=6139 [^] Modded, but for .34.07.

Not 100% sure this is the same bug though. These guys behave as described, but they are not traders. They have normal job titles like regular migrants. They also do not move toward the depot when traders arrive. Instead opting to mill at the map edge until a siege decides to steamroll them.
(0022181)
Quietust (reporter)
2012-04-09 13:08
edited on: 2012-04-09 13:09

Something here needs to be clarified: the "Trader" profession isn't supposed to have anything to do with caravans - it is simply the title taken on by units whose highest skill is "Appraiser".

Thus, these buggy dwarves are actually wannabe Brokers, not merchants.

(0022195)
ellindsey (reporter)
2012-04-10 07:56

In my 34.06 -> 34.07 fortress, the two Traders who appeared waited at the edge of the map until a dwarven trade caravan arrived. As soon as the dwarven caravan arrived, the Traders joined it, and left the map when it did.

If these were wannabe Brokers, then it appears that when a migrant is randomly generated with the Trader profession the game is for some reason mistakenly assuming that they are part of a trade caravan when they enter the map with a normal migration wave. With no dwarven trade caravan present, they just loiter at the map edge until a caravan shows up that they can join.
(0022197)
zombiejustice (reporter)
2012-04-10 08:47

I had this all the time in a fort where the dwarf civ had been wiped out and the only historical living dwarves were 5 necromancers. I assumed it came from the game generating traders to run the caravan, and then trying to pull them from the civilization population pool for immigrant waves the next season, as they were the only eligible dwarves the civ had left.
(0022213)
Quietust (reporter)
2012-04-11 08:03

ellindsey: that's pretty much exatly what appears to be happening - in fact, using dfhack reveals that they have the "merchant" flag set on them, and clearing that flag causes them to join your fortress as intended, albeit naked (since it's apparently neglecting to assign them ownership of their clothes).
(0022231)
dree12 (reporter)
2012-04-11 13:00

Just an appendum: I seem to have gotten a marksdwarf immigrant that has been marked "merchant". So this issue seems to not be entirely specific to appraisers.
(0022233)
vintermann (reporter)
2012-04-11 13:13

Same issue as Greiger: In one fort, the first immigration wave was entirely Dwarves with the merchant tile, and they were listed as "Friendly" in the u screen. There had been similar individuals loitering at the edge of the map in earlier forts, but I assumed it was merchants who failed to go home for some reason - this time is was definitively an entire immigration wave.

It was my second fort in that world, from the same culture, if it matters.
(0022245)
aghastamok (reporter)
2012-04-12 18:09

They are blocking the rest of a migration wave, btw. If you send a dorf to kill them, they run away. As soon as they've moved, more migrants.
(0022404)
Quietust (reporter)
2012-04-30 14:48

After searching through a full disassembly to find the code responsible for setting the "merchant" flag (and only finding the code for spawning caravan merchants), I suspect that what's actually happening is that former caravan merchants are having their profession changed from "Merchant" to "Trader" (either by some special rule or by recalculating it based on their skills) when they leave the map, making them eligible to become a migrant.
(0022416)
Mr Frog (reporter)
2012-05-02 12:58

Forum post supporting Quietust's theory:

http://www.bay12forums.com/smf/index.php?topic=108636.0 [^]

Some guy noticed that one of the "Trader"s had the same name as a caravan guard from the previous season.

Possibly a coincidence, certainly not conclusive, but it at least suggests that Quietust is correct.
(0022427)
Coder Fasteele (reporter)
2012-05-03 19:51

Same issue here. Also, deciding that these "Trader" dwarves were actually either vampires or were-somethings, I had them killed. Upon killing them, my military turned on the dwarf that apparently laid the killing blow, killing that dwarf as well.
(0022683)
Quietust (reporter)
2012-05-22 21:12

This has absolutely nothing to do with 0005854 - this is dealing with caravan merchants (and possibly their escorts as well), not the absence of diplomat bodyguards...
(0022793)
zombiejustice (reporter)
2012-05-30 12:55

Backing up Coder Fasteele - I had one that was definitely a vampire. I was able to kill him with the military no problem, though, as he had already been declare a murderer.
(0022794)
Footkerchief (manager)
2012-05-30 13:51
edited on: 2012-05-30 14:35

Quietust: I marked these as related because they share the symptom of units showing up as "Friendly".

(0022961)
Scandinavian (reporter)
2012-06-11 14:56

I can confirm this behaviour remains as of 0.34.11

Additionally, my fortress assigned the three tradesdwarves coffins after they got jumped by a gobbo ambush. No such courtesy was extended to the three elven traders who got pasted by the same ambush. Significance of this is unclear - may simply be because dwarven caravan members are from same civ and elves are not.
(0023437)
JonTheRed (reporter)
2012-08-10 23:14

This happened to me as well; four traders were stuck on the edge of the map and got reamed by two simultaneous goblin ambushes. One of them managed to come back as a "Ghostly Trader" before I was able to build a memorial slab for him, whatever that's worth.
(0023674)
insidious611 (reporter)
2012-10-22 12:12

Have this problem as well. Also uhm... "65 bit"? Where did you get the extra bit from? :P Seriously people.
(0023886)
Dwarfu (manager)
2013-03-06 10:27

dongler's save from 0005583:
http://dffd.wimbli.com/file.php?id=5819 [^]
(0027442)
Toady One (administrator)
2014-07-24 12:56

It is possible that this was fixed with 0006627 for 0.40.05, but I'm not convinced yet, so I guess this one will be open until we get some more confirmation (or time passed without an event, anyway).
(0029400)
4maskwolf (reporter)
2014-08-20 21:27

I have had many, many traders show up in various fortresses since .40.05 without any showing up as "friendly", so I'd say it's probably fixed unless anyone has any examples that say otherwise.
(0029438)
Kanddak (reporter)
2014-08-21 12:52
edited on: 2014-08-21 12:53

I have observed that caravan guards and merchants are able to show up as migrants (see 0008096). Therefore, I suggest that the original cause of this bug was probably that when historical merchants were chosen as migrants, their entity memberships weren't being properly updated. I am now getting migrants whom I can positively identity as former caravan members, and they are properly becoming citizens of my fortress, so I also think this is probably fixed.

(0029446)
Knight Otu (manager)
2014-08-21 13:41

Thanks, guys!

- Issue History
Date Modified Username Field Change
2012-02-14 21:49 Mephansteras New Issue
2012-02-15 07:10 Footkerchief Summary Migrant Traders marked as Friendly => Traders migrate to fortress, marked as 'Friendly'
2012-02-16 09:52 Mephansteras Note Added: 0019812
2012-02-17 01:15 Alumine Note Added: 0019913
2012-02-17 16:00 Knight Otu Relationship added has duplicate 0005237
2012-02-17 21:22 Footkerchief Relationship added related to 0005246
2012-02-18 16:33 daftfad Note Added: 0020070
2012-02-19 07:37 daftfad Note Edited: 0020070 View Revisions
2012-02-19 09:18 premium Note Added: 0020135
2012-02-19 17:26 Footkerchief Relationship added has duplicate 0005317
2012-02-21 09:59 Footkerchief Relationship added has duplicate 0005369
2012-02-21 10:01 janglur Note Added: 0020388
2012-02-24 09:02 etherflan Note Added: 0020607
2012-02-24 09:03 etherflan Note Deleted: 0020607
2012-02-27 10:10 dglidden Note Added: 0020800
2012-02-27 16:47 deathc4 Note Added: 0020808
2012-02-27 16:47 deathc4 Issue Monitored: deathc4
2012-03-08 09:06 Kijiro Note Added: 0021263
2012-03-11 07:11 Logical2u Relationship added has duplicate 0005612
2012-03-11 08:27 Logical2u Relationship added has duplicate 0005620
2012-03-16 23:07 Angry_B8 Tag Attached: immigrants
2012-03-16 23:07 Angry_B8 Tag Attached: traders
2012-03-16 23:09 Angry_B8 Note Added: 0021522
2012-03-17 16:11 Garath Note Added: 0021540
2012-03-26 13:31 thvaz Note Added: 0021760
2012-03-26 14:28 kingpeonidas Note Added: 0021765
2012-04-01 07:01 Kogut Note Added: 0021981
2012-04-01 07:39 Kogut Note Edited: 0021981 View Revisions
2012-04-01 07:46 Kogut Note Edited: 0021981 View Revisions
2012-04-01 08:35 thvaz Note Added: 0021986
2012-04-01 08:35 thvaz Issue Monitored: thvaz
2012-04-01 18:30 ellindsey Note Added: 0021997
2012-04-01 22:49 Kogut Note Added: 0022006
2012-04-09 10:43 Greiger Note Added: 0022180
2012-04-09 11:24 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2012-04-09 13:08 Quietust Note Added: 0022181
2012-04-09 13:09 Quietust Note Edited: 0022181 View Revisions
2012-04-10 07:56 ellindsey Note Added: 0022195
2012-04-10 08:47 zombiejustice Note Added: 0022197
2012-04-10 08:47 zombiejustice Issue Monitored: zombiejustice
2012-04-10 14:40 Kaelem Gaen Issue Monitored: Kaelem Gaen
2012-04-11 08:03 Quietust Note Added: 0022213
2012-04-11 13:00 dree12 Note Added: 0022231
2012-04-11 13:13 vintermann Note Added: 0022233
2012-04-12 18:09 aghastamok Note Added: 0022245
2012-04-13 12:47 Footkerchief Summary Traders migrate to fortress, marked as 'Friendly' => Game confuses migrants with Trader profession for on-the-job merchants
2012-04-13 12:48 Footkerchief Summary Game confuses migrants with Trader profession for on-the-job merchants => "Friendly" migrants with Trader profession act like on-the-job merchants
2012-04-17 08:22 PetWolverine Issue Monitored: PetWolverine
2012-04-17 08:52 Footkerchief Relationship added has duplicate 0005817
2012-04-30 14:48 Quietust Note Added: 0022404
2012-05-02 12:58 Mr Frog Note Added: 0022416
2012-05-03 19:51 Coder Fasteele Note Added: 0022427
2012-05-09 04:02 Knight Otu Relationship added has duplicate 0005868
2012-05-20 13:40 Knight Otu Relationship added has duplicate 0005930
2012-05-22 15:03 Footkerchief Relationship added related to 0005854
2012-05-22 15:03 Footkerchief Sticky Issue No => Yes
2012-05-22 21:12 Quietust Note Added: 0022683
2012-05-30 12:55 zombiejustice Note Added: 0022793
2012-05-30 13:51 Footkerchief Note Added: 0022794
2012-05-30 14:35 Footkerchief Note Edited: 0022794 View Revisions
2012-06-11 14:56 Scandinavian Note Added: 0022961
2012-06-14 03:06 Knight Otu Relationship added related to 0006019
2012-08-10 23:14 JonTheRed Note Added: 0023437
2012-09-10 09:45 Morrolan Issue Monitored: Morrolan
2012-10-22 12:12 insidious611 Note Added: 0023674
2013-03-06 10:25 Dwarfu Relationship added has duplicate 0005583
2013-03-06 10:25 Dwarfu Issue Monitored: dongler
2013-03-06 10:27 Dwarfu Note Added: 0023886
2014-07-24 12:56 Toady One Note Added: 0027442
2014-08-20 21:27 4maskwolf Note Added: 0029400
2014-08-20 21:27 4maskwolf Issue Monitored: 4maskwolf
2014-08-20 21:30 Footkerchief Assigned To => Footkerchief
2014-08-20 21:30 Footkerchief Status new => feedback
2014-08-20 21:31 Footkerchief Relationship added related to 0008096
2014-08-21 12:52 Kanddak Note Added: 0029438
2014-08-21 12:53 Kanddak Note Edited: 0029438 View Revisions
2014-08-21 13:41 Knight Otu Note Added: 0029446
2014-08-21 13:41 Knight Otu Status feedback => resolved
2014-08-21 13:41 Knight Otu Fixed in Version => 0.40.05
2014-08-21 13:41 Knight Otu Resolution open => fixed
2014-08-21 13:41 Knight Otu Assigned To Footkerchief => Toady One
2014-08-21 13:59 thvaz Issue End Monitor: thvaz
2014-08-21 20:35 4maskwolf Issue End Monitor: 4maskwolf
2014-09-14 09:43 lethosor Sticky Issue Yes => No


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker